recutils (1.9-3build1) noble; urgency=medium

  * No-change rebuild for libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 18:58:25 +0100

recutils (1.9-3) unstable; urgency=medium

  * debian/clean (Closes: #1045804)

 -- Sven Wick <sven.wick@gmx.de>  Fri, 08 Sep 2023 20:08:45 +0200

recutils (1.9-2) unstable; urgency=medium

  * debian/recutils.emacsen-startup
    - Removed (Closes: #1026375)
  * debian/control
    - Bumped Standards-Version to 4.6.2
  * debian/copyright
    - bumped copyright years

 -- Sven Wick <sven.wick@gmx.de>  Sun, 29 Jan 2023 18:57:27 +0100

recutils (1.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1010108)
  * Update standards version to 4.6.1
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse
  * Drop csv2rec-spelling.patch
  * ob-rec.el and rec-mode.el are not in upstream source anymore
  * Bump copyright years, debhelper-compat and watch file version
  * List not installed files in debian/not-installed

 -- Sven Wick <sven.wick@gmx.de>  Thu, 15 Sep 2022 22:19:17 +0200

recutils (1.8-1) unstable; urgency=medium

  * New upstream release (LP: #1767580)

  * debian/control
    - Bumped Standards-Version to 4.5.0
    - changed debhelper in Build-Depends from 11 to 12
    - added debhelper-compat (= 12) to Build-Depends
    - added help2man,flex,bison to Build-Depends to fix FTBFS
    - added Rules-Requires-Root: no
  * debian/compat
    - removed
  * debian/copyright
    - bumped copyright years
    - added Upstream-Contact
  * debian/recutils.install
    - use emacs files now directly from source archive
  * debian/patches:
    - removed rec-mode.patch ( fixed upstream )
    - removed make-check.patch ( fixed upstream )
    - removed gnulibrary-glibc-detection.patch ( fixed upstream )
    - removed fix-includes.patch ( fixed upstream )
    - removed evaluation-of-sexes.patch ( fixed upstream )
    - removed csv2rec-format-warning.patch ( fixed upstream )
    - removed man.patch ( fixed upstream )
    - removed enable-automake-subdirs-option.patch ( no warnings anymore )
    - removed spelling-error-in-csv2rec-manpage.patch ( help2man creates them )
    - replaced spelling-error-in-binary-csv2rec.patch
               with csv2rec-spelling.patch
  * debian/source/include-binaries
    - removed
  * debian/upstream/signing-key.asc
    - fixed lintian warning public-upstream-key-not-minimal

 -- Sven Wick <sven.wick@gmx.de>  Mon, 27 Jan 2020 02:03:52 +0100

recutils (1.7-3) unstable; urgency=medium

  * debian/copyright
    - changed Homepage URL to HTTPS
    - bumped copyright years
  * debian/control
    - changed Homepage URL to HTTPS
    - providing a packaging VCS repo (Closes: #684394)
    - Bumped Standards-Version to 4.2.1
  * debian/patches
    - renamed following 2 patches for consistency ( .patch as file extension )
     - fix-includes.diff
     - spelling-error-in-binary-csv2rec
    - added gnulibrary-glibc-detection.patch (Closes: #915174)
    - added spelling-error-in-csv2rec-manpage.patch
     - fixes lintian warning spelling-error-in-manpage
    - added rec-mode.patch (Closes: #849241)

 -- Sven Wick <sven.wick@gmx.de>  Sun, 09 Dec 2018 17:14:53 +0100

recutils (1.7-2) unstable; urgency=medium

  * debian/compat
    - moved from 9 to 11
  * debian/control
    - Build-depend on libglib2.0-dev instead on mdbtools-dev
      to avoid recutils being autoremoved from Debian ( see #885744 )
    - Removed dh-autoreconf from Build-Depends ( is now enabled by default )
    - Depend on debhelper (>= 11)
    - Bumped Standards-Version to 4.1.3
    - fixed lintian warning priority-extra-is-replaced-by-priority-optional
    - fixed lintian warning file-contains-trailing-whitespace
    - fixed lintian warning extended-description-is-probably-too-short
  * debian/copyright
    - fixed lintian warning dep5-copyright-license-name-not-unique
    - fixed lintian warning insecure-copyright-format-uri
  * debian/watch
    - fixed lintian warning debian-watch-uses-insecure-uri
  * debian/patches/fix-includes.diff
    - fixed lintian warning quilt-patch-missing-description
  * debian/patches/spelling-error-in-binary-csv2rec
    - fixed lintian warning spelling-error-in-binary
    - fixed lintian warning spelling-error-in-manpage
  * debian/rules
    - removed --with autoreconf and explicit export of build flags
  * debian/docs renamed to debian/recutils.docs
  * debian/upstream ascii-armored signing key

 -- Sven Wick <sven.wick@gmx.de>  Sat, 24 Feb 2018 14:32:58 +0100

recutils (1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with bash-4.4. Closes: #838624.
  * Build-depend on libgcrypt-dev. Closes: #763179.
  * Enable rec-mode.el autoloads. Closes: #809635, #686686.
  * Multiarchify the library packages.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Nov 2016 14:18:52 +0100

recutils (1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #716254, #716266, #716561, #716267)

    - Version 1.7 (25 March 2014)

    - Utilities:

     - rec2csv now supports a -d option
       to change the delimiter character in CSV files.
     - Support for joins and foreign keys.
     - Grouping records by one or more fields.
     - Sorting records by several fields.
     - Specifying rewrite rules in field expressions.
     - Writing field values in rows.
     - Dot-notation in selection expressions.
     - Support for the >= and <= operators in selection expressions.
     - Aggregated functions: sum, min, max, avg.
     - New bash loadable builtin 'readrec'.
     - It is now possible to specify several recfiles in the
       command line containing anonymous records.

    - Format:

     - Support for restricting the fields that can appear in records
       with the new %allowed special field.
     - If a tab separates a field name and a field value is now
       ignored and not considered part of the field value.
     - New UUID field type.
     - User provided arbitrary constraints with %constraint.
     - Pre-defined constants MIN and MAX can now be used in ranges.

    - librec:

     - The current version of the library is now 1.
     - New high-level API:
       rec_db_query, rec_db_insert, rec_db_delete and rec_db_set.
     - Documentation in the rec.h header file extended and improved.

    - Emacs mode:

     - It now possible to jump several records while navigating
       using a prefix argument to the next/previous commands.
     - Texinfo manual describing the usage of rec-mode.
     - Support for a mode hook.
     - Comments are now supported in records.
     - add-change-log-entry in a recfile now does the right thing.
     - Commands for copying/killing fields and records.
     - Support for undo in navigation mode.
     - Field folding.
     - Editing methods for the several field types.
     - Statistics.

    - Documentation:

     - The examples in the manual have been improved,
       and well as many other aspects: formatting, English, etc.
       Special thanks to Karl Berry for pointing out
       the problems and suggesting solutions.
     - The user manual has been restructured and expanded.

    - Internal cleanup and code factorization.
    - Many, many, many bug fixes :D

  * debian/docs

    - removed TODO file

  * debian/patches

    - removed: eglibc2.17.patch (Fixed upstream)
    - removed: mdbtools-0.7-fix (Fixed upstream)
    -   added: man.patch
    -   added: csv2rec-format-warning.patch
    -   added: make-check.patch
    -   added: enable-automake-subdirs-option.patch
    -   added: evaluation-of-sexes.patch (Closes: #745353)

  * debian/control

    - Build-Depends: changed 'autotools-dev' to 'dh-autoreconf'

      Patch submitted by Logan Rosen <logatronico@gmail.com>

      I did not add 'help2man' to Build-Depends
      which his patch suggested, because this caused
      only a FTBFS in the versions 1.5 and 1.6 of recutils
      when using 'dh_autoreconf'.

      Upstream updated 'man/Makefile.in',
      so this is not an issue anymore.

    - Build-Depends: changed 'debhelper (>= 7.0.50~)' to 'debhelper (>= 9)'
    - Build-Depends: added 'bash-builtins' and 'uuid-dev'
    - Build-Depends: added 'texinfo' to make it build
                     in a pbuilder/cowbuilder environment

    - librec0: removed 'Replaces: librecutils (<= 1.3-7)'
    - librec0: removed 'Conflicts: librecutils (<= 1.3-7)'
    - librec0: renamed package to 'librec1'

    - recutils: changed Depends: from librec0 to librec1
    - recutils: removed 'dpkg (>= 1.15.4) | install-info' from Depends:
    - recutils: removed 'Section: database'
                because it's already defined
                in the source package

    - librec-dev: changed Depends: from librec0 to librec1
    - librec-dev: removed 'Replaces: librecutils-dev (<= 1.3-7)'
    - librec-dev: removed 'Conflicts: librecutils-dev (<= 1.3-7)'

    - changed Standards-Version: from 3.9.2 to 3.9.5

  * debian/compat

    - changed compatibility level from 7 to 8

  * debian/

    - renamed librec0.install to librec1.install
    - removed recutils.dirs because it's not needed
    - removed librec0.dirs because it's not needed
    - removed librec-dev.dirs because it's not needed

  * debian/rules

    - enabled hardening options
    - added override rule for dh_install
    - added override rule for dh_makeshlibs
    - changed 'dh $@' to 'dh $@ --with autoreconf'
      to get new libtool macros for ppc64el
      and update config.{sub,guess} for new arches.

      Patch submitted by Logan Rosen <logatronico@gmail.com> (Closes: #727496)

  * debian/recutils.install

    - added the bash-builtin .so file

  * debian/examples

    - added example for the readrec bash-builtin
     - bash-builtins/readrec.sh
    - added examples for the new grouping and aggregation functions
     - movie-database/show_oldest_and_latest_moviedate.sh
     - movie-database/group_movies_by_audio.sh
     - movie-database/group_movies_by_media.sh

  * debian/README.Debian

    - info how to enable/disable the readrec bash-builtin

  * debian/watch

    - added 'pgpsigurlmangle' rule for upstream signatures

  * debian/upstream/signing-key.pgp

    - added upstream key to verify the signatures

  * debian/source/include-binaries

    - entry for the debian/upstream/signing-key.pgp

  * debian/copyright

    - updated copyright years
    - fixed typo: GDFL-1.3+ -> GFDL-1.3+
    - updated Format URL

 -- Sven Wick <sven.wick@gmx.de>  Mon, 21 Apr 2014 00:05:03 +0200

recutils (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/eglibc2.17.patch: Fix FTBFS with eglibc 2.17. (Closes:
    #701414)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 May 2013 22:59:45 +0200

recutils (1.5-1) unstable; urgency=low

  * New upstream release
    - Version 1.5 (13 January 2012)
    - The utilities will now ask interactively for a password
      if it was not provided with the -s command line option.
      This avoids security problems related to shell history files.
    - Support for octal and hexadecimal numbers has been added.
      They can be used in both the records and selection expressions.
    - It is now possible to select a given number of random records
      in many of the utilities using the -m command line option.
    - The -n option now accepts a list of indexes, supporting ranges.
    - The new -U (uniq) option for recsel removes duplicated fields
      in the output records.
    - The new -q option allows to quickly search for the desired record
      without having to provide a complete selection expression.
    - Auto generated fields are now considered integers by default.
      This avoids repetitive patterns involving %auto and %type.
    - Tab characters are now allowed in blank lines betwwen records.
    - The API in rec.h is now better documented with comments, and improved.
    - recfix now exits with an error status
      if there is a parse error in some input file.
    - The usage of the internal data structures has been _vastly_ improved,
      resulting in a much faster operation.
    - Internal cleanup and code factorization.
    - Many, many, many bug fixes :D
  * debian/patches
    - removed all patches which are now fixed in the 1.5 release
    - added mdbtools-0.7-fix (Closes: #655780)
      until upstream supports both versions
      of the backwards incompatible API change of mdbtools.
  * debian/control
     - Adding "libreadline-dev" to Build-Depends
       Used for interactive prompting and upstream
       is going to use it more in future releases
  * "librec.la" already dropped in 1.3-12 (Closes: #633238)

 -- Sven Wick <sven.wick@gmx.de>  Fri, 20 Jan 2012 16:04:02 +0100

recutils (1.4-2) unstable; urgency=low

  * debian/patches
    - patch which makes recfix to exit with an error status
      when there is a parse error in the input recfile
  * "librec.la" already dropped in 1.3-12 (Closes: #633238)
  * Closing ITP. There is already a package in Debian (Closes: #653839)

 -- Sven Wick <sven.wick@gmx.de>  Mon, 02 Jan 2012 17:32:08 +0100

recutils (1.4-1) unstable; urgency=low

  * New upstream release
    - Version 1.4 (03 November 2011)
    - Support for encryption with the new %confidential special field.
    - Support for named types with the new %typedef special field.
    - Support for sorting with the new %sort special field.
    - Recutils support for org-babel is now included in the distribution
      as ob-rec.el.  It allows to read rec data into org documents in both
      raw and table formats.
    - It is now possible to use double quotes for delimiting string
      literals in selection expressions, as well as single quotes.
      Unescapted newline characters are also supported.
    - The manual has been vastly improved.
    - recfix now supports several operations: check, sort, encrypt and
      decrypt.
    - recins now generates parseable locale independent dates when
      generating time-stamps in auto-fields.
    - Lots of bug fixes.
  * Moved examples to debian folder
  * 2 new examples added
  * emacs files 'ob-rec.el' and 'rec-mode.el' included
  * debian/patches
    - removed 1.3 patches which are now fixed in the 1.4 release
    - added patch for a memory bug in recins
    - added patch for an encryption bug
    - added patch for the missing 'ob-rec.el' emacs file

 -- Sven Wick <sven.wick@gmx.de>  Wed, 30 Nov 2011 20:59:18 +0100

recutils (1.3-12) unstable; urgency=low

  * Dropped "librec.la" (Closes: #633238)
  * Bump to Standards-Version 3.9.2
  * Depend on dpkg (>= 1.15.4) | install-info.

 -- Sven Wick <sven.wick@gmx.de>  Mon, 11 Jul 2011 23:05:47 +0200

recutils (1.3-11) unstable; urgency=low

  * debian/patches/

    Added patch 'fix-truncation'

       Closes: #629927
           LP: #791285

    Created separate "changelog" patch
    for the LP64 and truncation bug.

    Moved ChangeLog patch
    from patches/LP64 to patches/changelog.

    Renamed patches/LP64 to patches/fix-LP64

 -- Sven Wick <sven.wick@gmx.de>  Mon, 20 Jun 2011 00:19:20 +0200

recutils (1.3-10) unstable; urgency=low

  * debian/control

    Added missing build dependency to libcurl4-gnutls-dev
    which enables support for remote descriptors

 -- Sven Wick <sven.wick@gmx.de>  Fri, 10 Jun 2011 16:20:15 +0200

recutils (1.3-9) unstable; urgency=low

  * src/rec-utils.c, ChangeLog

    Applied upstream LP64 patch
    to fix failed builds on x86_64 systems

  * debian/rules

    Removed filter. Ubuntu's LDFLAGS were not
    the cause of failed builds

  * debian/control

    Removed Vcs- headers
    Renamed dev package librecutils-dev to librec-dev
    Renamed lib package librecutils to librec0
    Added 'Replaces' and 'Conflicts' entries
     for the renamed packages
    Added long descriptions to librec-dev
    Added long descriptions to librec0
    Shortened description of recutils

  * debian/copyright

    Included missing GFDL-license for the texi files

 -- Sven Wick <sven.wick@gmx.de>  Sat, 28 May 2011 12:18:56 +0200

recutils (1.3-8) unstable; urgency=low

  * Filter out -Wl,-Bsymbolic-functions from LDFLAGS
    in debian/rules.

    Ubuntu's dpkg-buildpackage
    sets env LDFLAGS=-Wl,-Bsymbolic-functions
    which breaks the build on x86_64 systems

 -- Sven Wick <sven.wick@gmx.de>  Sat, 14 May 2011 14:26:04 +0200

recutils (1.3-7) unstable; urgency=low

  * Adding examples

 -- Sven Wick <sven.wick@gmx.de>  Tue, 03 May 2011 01:09:28 +0200

recutils (1.3-6) unstable; urgency=low

  * Added watch file

 -- Sven Wick <sven.wick@gmx.de>  Fri, 29 Apr 2011 17:08:10 +0200

recutils (1.3-5) unstable; urgency=low

  * Added override_dh_auto_clean to debian/rules
    because pbuilder complained about missing
    Makefile when running dh_auto_clean

 -- Sven Wick <sven.wick@gmx.de>  Fri, 29 Apr 2011 12:59:57 +0200

recutils (1.3-4) unstable; urgency=low

  * Fixed some lintian warnings

 -- Sven Wick <sven.wick@gmx.de>  Thu, 28 Apr 2011 22:59:13 +0200

recutils (1.3-3) unstable; urgency=low

  * Removed shlibs file

 -- Sven Wick <sven.wick@gmx.de>  Thu, 28 Apr 2011 22:54:07 +0200

recutils (1.3-2) unstable; urgency=low

  * Removed watch file

 -- Sven Wick <sven.wick@gmx.de>  Thu, 28 Apr 2011 22:47:37 +0200

recutils (1.3-1) unstable; urgency=low

  * Initial release

 -- Sven Wick <sven.wick@gmx.de>  Thu, 28 Apr 2011 18:40:22 +0200
